Skip to main content

## diff

The diff command compares two (and only two) CSV files and reports on differences between them. The diffing is done on the CSV field contents, not on the raw text, so the CSVfix diff command and other pure text diff utilities will almost certainly produce different results - this is intentional. The output of this command is not CSV - it indicates what changes need to be made to the left-hand file to turn it into the right-hand one. The output format is currently specific to CSVfix, but I intend to change this to make it more compatible with tools like patch. Currently, the format looks like this:

"-","3","3","three"

"+","5","6","six"

"-","3","3","three"

"+","3","7","seven"

which says that two lines need to be deleted from the left-hand file (indicated by the "-" values in the first column) and two lines need to be added (indicated by the "+" signs).

This command is currently "experimental" - it does work, but has not been heavily tested.

Flag | Req'd? | Description
-f fields | No | A comma-separated list indicating which fields to compare when performing ths diff - the default is to compare all fields.
-q | No | Don't report anything, but return zero if the files match, 1 if they do not and 2 on error.
-ic | No | Ignore case differences when performing a diff.
-is | No | Ignore leading and trailing spaces when performing a diff.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad

####